Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm new to CentOS, have mainly worked with FreeBSD.

How do i update/upgrade CentOS from version 4.4 to 4.8 ?

Update

# yum upgrade

Will this upgrade only minor or will it upgrade to 5.x ?

share|improve this question
add comment

2 Answers

up vote 4 down vote accepted

Upgrading from 4.4 to 4.8 is a minor upgrade, and this should be fairly straight forward to do just by using yum, as a matter of fact with the default yum repos that come with your CentOS distribution it should just work out of the box doing yum upgrade

Upgrading from 4.4 to 5.x is a bit more of a difficult task though, for the brave souls ;) just make sure to practice it with a box that you don't really need before starting this kind of upgrade on live boxes.

share|improve this answer
    
Thank you for confirming that yum upgrade only do minor updates. I have allready started the upgrade, it's a fresh install 4.4 box we have had laying around for a while. –  Phliplip Jan 28 '11 at 10:24
add comment

http://wiki.centos.org/HowTos/MigrationGuide/ServerCD_4.4_to_5 try above link :)

or if you have 4.8 DVD then following

Create a dvd.repo text file in /etc/yum.repos.d/ with the following content:

[dvd]
mediaid=1170972069.396645*
name=DVD for RHEL5
baseurl=file:///media/RHEL_5%20i386%20DVD/Server (For example for RHEL 5.5 version baseurl line should look like 'baseurl=file:///media/RHEL_5.5%20i386%20DVD/Serverenabled=1')
gpgcheck=0

For Red Hat Enterprise Linux 4.8
In /etc/sysconfig/rhn/sources, comment out the following line:
#up2date default

This line needs to be commented out otherwise up2date will keep on looking for information using the Red Hat Network first.

Next, in the same file, create a line like the following:

dir mydvdrepo /media/cdrom/RedHat/RPMS
share|improve this answer
    
I do not wish to upgrade to 5.x, i would like it to be exactly 4.8 –  Phliplip Jan 28 '11 at 10:21
    
Hi Phliplip, i'm not asking to you go with 5.X, what you can do is you use 4.8 DVD copy to your server and create a repo of the same and run up2date ! –  Rajat Jan 28 '11 at 10:28
    
Ok, i misunderstood your intentions :) Sorries –  Phliplip Jan 28 '11 at 11:50
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.